input_ff_erase
Prev | Chapter 28. Input Subsystem | Next

## Name

input_ff_erase — erase a force-feedback effect from device

## Synopsis

`int input_ff_erase (` | struct input_dev * | dev,
| int | effect_id,
| struct file * | file`)`;

## Arguments

`dev`

  input device to erase effect from

`effect_id`

  id of the ffect to be erased

`file`

  purported owner of the request

## Description

This function erases a force-feedback effect from specified device. The effect will only be erased if it was uploaded through the same file handle that is requesting erase.

Prev | Up | Next
input_ff_upload | Home | input_ff_event